libzypp 17.37.10

ansi.h File Reference
`#include <cstdint>`
`#include <iostream>`
`#include <sstream>`
`#include <type_traits>`
`#include <memory>`
`#include <map>`
`#include <string>`
`#include <zypp/base/String.h>`

Go to the source code of this file.

## Classes
class | ztui::ansi::tty::EscapeSequence
| ANSI Escape sequences and their fallback if no tty. More...
struct | ztui::ansi::ColorTraits< Tp_ >
class | ztui::ansi::Color
| Various ways to define ansi SGR sequences. More...
union | ztui::ansi::Color::Comp
struct | ztui::ansi::ColorTraits< Color::Constant >
class | ztui::ansi::ColorString
| Colored string if do_colors. More...
class | ztui::ansi::ColorStream
| Colored stream output if do_colors. More...
struct | ztui::ansi::ColorStream::nullDeleter
class | ztui::ColorString
| Colored string if do_colors. More...
class | ztui::ColorStream
| Colored stream output if do_colors. More...

## Namespaces
namespace | ztui
namespace | ztui::ansi
namespace | ztui::ansi::tty
namespace | std

## Macros
#define | ZYPPER_TRACE_SGR 0
#define | ESC "\033"

## Functions
bool | ztui::do_ttyout ()
| True unless output is a dumb tty or file.
bool | ztui::do_colors ()
| If output is done in colors (depends on config)
bool | ztui::mayUseANSIEscapes ()
| Simple check whether stdout is a (not dumb) tty.
bool | ztui::hasANSIColor ()
| Simple check whether stdout can handle colors.
ansi::ColorStream | ztui::operator<< (ansi::Color color_r, std::ostream &(*omanip)(std::ostream &))
template<class CCC_, typename = ansi::EnableIfCustomColorCtor<CCC_>>
ansi::ColorStream | ztui::operator<< (CCC_ &&color_r, std::ostream &(*omanip)(std::ostream &))

## Variables
const EscapeSequence | ztui::ansi::tty::clearLN
| Clear entire line.
const EscapeSequence | ztui::ansi::tty::cursorUP
| Cursor up 1 line.
const EscapeSequence | ztui::ansi::tty::cursorDOWN
| Cursor down 1 line.
const EscapeSequence | ztui::ansi::tty::cursorRIGHT
| Cursor right 1 char.
const EscapeSequence | ztui::ansi::tty::cursorLEFT
| Cursor left 1 char.

## Macro Definition Documentation

## ◆ ZYPPER_TRACE_SGR

#define ZYPPER_TRACE_SGR 0

Definition at line 95 of file ansi.h.

## ◆ ESC

#define ESC "\033"

Definition at line 98 of file ansi.h.